Type: Jupyter Notebook Extension
Name: Loosolab Snippets
Link: README.md
Description: |
  Add a menu item to insert code and markdown snippets that are often used in the Loosolab.
Main: main.js
Compatibility: 4.x,5.x,6.x
Parameters:

- name: snippets.insert_as_new_cell
  description: "Insert snippets as new cells, rather than at cursor inside current cell"
  input_type: checkbox
  default: true

- name: snippets.include_submenu.markdown
  description: "Include markdown sub-menu"
  input_type: checkbox
  default: true

- name: snippets.include_submenu.scanpy
  description: "Include scanpy sub-menu"
  input_type: checkbox
  default: true

- name: snippets.include_submenu.scvelo
  description: "Include scvelo sub-menu"
  input_type: checkbox
  default: true

- name: snippets.include_submenu.bbknn
  description: "Include bbknn sub-menu"
  input_type: checkbox
  default: true

- name: snippets.include_submenu.MaMPOK
  description: "Include MaMPOK sub-menu"
  input_type: checkbox
  default: true

- name: snippets.include_submenu.excel
  description: "Include Excel out sub-menu"
  input_type: checkbox
  default: true

- name: snippets.sibling_selector
  description: |
    A JQuery selector for a sibling element next to whose parent element the
    new menu(s) will be inserted. Other suitable examples include '#file_menu',
    '#edit_menu', '#view_menu', '#insert_menu', '#cell_menu', and
    '#kernel_menu'. To append the new menu as a submenu to the 'insert' menu
    itself, you could use '#insert_menu>:last-child'.
  input_type: text
  default: '#help_menu'

- name: snippets.insert_before_sibling
  description: |
    Insert the new menu(s) before their sibling (the default value of false
    means they are inserted after the sibling)
  input_type: checkbox
  default: false

- name: snippets.top_level_submenu_goes_left
  description: |
    Snippets menus are often quite big, and positioned at the right side of the
    menu bar, so by default they open to the left of the menu. Set this to
    false to get them to open to the right as normal.
  input_type: checkbox
  default: true
